nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   i need more help (http://www.nvnews.net/vbulletin/showthread.php?t=2863)

NetFlux 10-14-02 05:15 PM

i need more help
 
I have all my kernal headers and sources installed and i tried to do the rpm rebuild and this is what i got.
[root@6535142hfc09 root]# rpm --rebuild NVIDIA_kernel-1.0-3123.src.rpm
Installing NVIDIA_kernel-1.0-3123.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.50021
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ rm -rf NVIDIA_kernel-1.0-3123
+ tar -xf -
+ /bin/gzip -dc /usr/src/RPM/SOURCES/NVIDIA_kernel-1.0-3123.tar.gz
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd NVIDIA_kernel-1.0-3123
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.50021
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-3123
+ set +e
++ rpm -q --queryformat '%{VERSION}' rpm
+ RPMVERSION=4.0.4
++ echo 4.0.4
++ awk -F . '{print $1;}'
+ RPMMAJOR=4
++ echo 4.0.4
++ awk -F . '{print $2;}'
+ RPMMINOR=0
++ echo 4.0.4
++ awk -F . '{print $3;}'
+ RPMPATCH=4
+ '[' 4 -le 3 -a 0 -le 0 -a 4 -lt 4 ']'
+ make NVdriver
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=3123 -DNV_UNIX -DNV_LINUX -DNVCPU_X86 -I. -I/lib/modules/2.4.19-16mdk/build/include -Wno-cast-qual nv.c
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=3123 -DNV_UNIX -DNV_LINUX -DNVCPU_X86 -I. -I/lib/modules/2.4.19-16mdk/build/include -Wno-cast-qual os-interface.c
os-interface.c: In function `KernInitAGP':
os-interface.c:1294: warning: assignment from incompatible pointer type
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wparentheses -Wpointer-arith -Wcast-qual -Wno-multichar -O -MD -D__KERNEL__ -DMODULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -DRM_HEAPMGR -D_LOOSE_KERNEL_NAMES -D__KERNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=3123 -DNV_UNIX -DNV_LINUX -DNVCPU_X86 -I. -I/lib/modules/2.4.19-16mdk/build/include -Wno-cast-qual os-registry.c
ld -r -o Module-linux nv.o os-interface.o os-registry.o
ld -r -o NVdriver Module-linux Module-nvkernel
size NVdriver
text data bss dec hex filename
894848 55380 52396 1002624 f4c80 NVdriver
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.62927
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-3123
+ rm -f /tmp/files.lst
+ '[' -z '' ']'
++ uname -r
+ export TARGET_KERNEL=2.4.19-16mdk
+ TARGET_KERNEL=2.4.19-16mdk
+ '[' -d /lib/modules/2.4.19-16mdk/kernel ']'
+ INSTALLPATH=/lib/modules/2.4.19-16mdk/kernel/drivers/video
+ mkdir -p /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.19-16mdk/kernel/drivers/video
+ install -m 0444 NVdriver /var/tmp/NVIDIA_kernel-1.0//lib/modules/2.4.19-16mdk/kernel/drivers/video
+ echo '%attr(444 root root) ' /lib/modules/2.4.19-16mdk/kernel/drivers/video/NVdriver
+ unset RPM_BUILD_ROOT
+ /usr/lib/rpm/brp-mandrake
no RPM_BUILD_ROOT variable; exiting.
Processing files: NVIDIA_kernel-1.0-3123
Finding Provides: (using /usr/lib/rpm/find-provides)...
Finding Requires: (using /usr/lib/rpm/find-requires)...
Using BuildRoot: /var/tmp/NVIDIA_kernel-1.0 to search libs
PreReq: /bin/sh /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(pre): /bin/sh
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: kernel >= 2.2.0 rpm >= 3.0.4
Wrote: /usr/src/RPM/RPMS/i586/NVIDIA_kernel-1.0-3123.i586.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.8352
+ umask 022
+ cd /usr/src/RPM/BUILD
+ cd NVIDIA_kernel-1.0-3123
+ '[' -n /var/tmp/NVIDIA_kernel-1.0 -a /var/tmp/NVIDIA_kernel-1.0 '!=' / ']'
+ rm -rf /var/tmp/NVIDIA_kernel-1.0
+ exit 0

bwkaz 10-14-02 06:19 PM

Well, it looks fine from here.

What's the problem?

Are you sure you've installed the resulting RPM (from the output of rpm --rebuild; the file that got built is /usr/src/RPM/RPMS/i586/NVIDIA_kernel-1.0-3123.i586.rpm -- so try to rpm -ivh that file.


All times are GMT -5. The time now is 11:49 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.